opensesh docs

List embed widgets

GET
/events/{eventId}/widgets

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/events/string/widgets"
[  {    "id": "string",    "createdAt": "string",    "updatedAt": "string",    "eventId": "string",    "name": "string",    "view": "sessions",    "enabled": true,    "options": {      "trackIds": [        "string"      ],      "formatIds": [        "string"      ],      "tagIds": [        "string"      ],      "dayKeys": [        "string"      ],      "theme": "light",      "primaryColor": "string",      "dateFormat": "12h",      "showSpeakerCompany": true,      "showSpeakerTitle": true,      "showSpeakerBio": true,      "showSessionDescription": true,      "showSessionLevel": true,      "showSessionFormat": true,      "showAddToCalendar": true,      "customCss": "string"    }  }]